cURL
curl --request POST \ --url https://api.example.com/api/core/knowledge_assets/personal \ --header 'Authorization: Bearer <token>'
{ "knowledge_sources": [ { "id": "<string>", "file_source_type": "<string>", "permissions_type": "<string>" } ], "knowledge_assets": [ { "id": "<string>", "label": { "en": "<string>", "de": "<string>", "es": "<string>", "fr": "<string>", "it": "<string>", "nl": "<string>", "pl": "<string>", "pt": "<string>", "sv": "<string>" }, "description": { "en": "<string>", "de": "<string>", "es": "<string>", "fr": "<string>", "it": "<string>", "nl": "<string>", "pl": "<string>", "pt": "<string>", "sv": "<string>" }, "knowledge_source_ids": [ "<string>" ], "category": "personal", "icon_filename": "<string>", "is_selected_by_default": true, "load_page_assets": false, "download_disabled": false, "guided_search_field_ids": [ "<string>" ], "is_empty": true } ] }
Create a new personal knowledge asset and its cloud bucket source
Bearer token authentication. Format: 'Bearer '
de
en
es
fr
it
nl
pl
pt
sv
Successful Response
Response schema for creating a personal knowledge asset.
Show child attributes
Was this page helpful?